## EomDialog EomDialog |

## Synopsis

    struct              EomDialog;
    void                eom_dialog_construct                (EomDialog *dialog,
                                                             const gchar *glade_file,
                                                             const gchar *dlg_node);
    void                eom_dialog_show                     (EomDialog *dialog);
    void                eom_dialog_hide                     (EomDialog *dialog);
    void                eom_dialog_get_controls             (EomDialog *dialog,
                                                             const gchar *property_id,
                                                             ...);

## Object Hierarchy

      GObject
       +----EomDialog
             +----EomPreferencesDialog
             +----EomPropertiesDialog

## Properties

      "parent-window"            GtkWindow*            : Read / Write / Construct Only

## Description

## Details

### struct EomDialog

    struct EomDialog;

### eom_dialog_construct ()

    void                eom_dialog_construct                (EomDialog *dialog,
                                                             const gchar *glade_file,
                                                             const gchar *dlg_node);

### eom_dialog_show ()

    void                eom_dialog_show                     (EomDialog *dialog);

### eom_dialog_hide ()

    void                eom_dialog_hide                     (EomDialog *dialog);

### eom_dialog_get_controls ()

    void                eom_dialog_get_controls             (EomDialog *dialog,
                                                             const gchar *property_id,
                                                             ...);

## Property Details

### The `"parent-window"` property

      "parent-window"            GtkWindow*            : Read / Write / Construct Only

Parent window.